using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class ChangeLUT : MonoBehaviour {

	public Texture2D[] MyLuts;
	public float BlendDelay= 0.2f;
	private int CurrentLUT= 0 ;
    private int TotalLUTS;

    void Start()
    {
        TotalLUTS = MyLuts.Length;
    }

        // Blend LUT
        void BlendNext() {

		GetComponent<AmplifyColorEffect>().BlendTo( MyLuts[CurrentLUT-1], BlendDelay, OnFinishedBlending );
	}

	void OnFinishedBlending() {
		//Custom Actions
	}	
	
	// Update is called once per frame
	void Update () {


		// Change LUT +
		if (Input.GetKeyDown(KeyCode.RightArrow)) {
			if (CurrentLUT == TotalLUTS) 
				{
					CurrentLUT = 1;
				} 
			else 
				{
					CurrentLUT++;	
				}
			BlendNext();
		}

        // Change LUT -
        if (Input.GetKeyDown(KeyCode.LeftArrow))
        {
            if (CurrentLUT > 1)
            {
                CurrentLUT--;
            }
            else
            {
                CurrentLUT = TotalLUTS;
            }
            BlendNext();
        }


    }
}
